﻿using Android.Graphics;
using Com.Syncfusion.Charts;

namespace CustomBehavior.Droid
{
    public class ChartTrackballBehaviorExt : ChartTrackballBehavior
    {
        protected override void OnLongPress(float x, float y)
        {
           // base.OnLongPress(x, y);
        }

        protected override void OnTouchDown(float x, float y)
        {
            base.OnTouchDown(x, y);
            Show(x, y);
        }

        protected override void OnTouchUp(float x, float y)
        {
            base.OnTouchUp(x, y);
            Hide();
        }

        protected override void OnTouchMove(float x, float y)
        {
            base.OnTouchMove(x, y);
            Show(x, y);
        }

        protected override void DrawLabel(Canvas canvas, ChartPointInfo pointInfo, RectF rect)
        {
            rect.Bottom = 100;
            rect.Top = 50;
            base.DrawLabel(canvas, pointInfo, rect);
        }
    }
}