﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CustomBehavior
{
    public class ChartSample : ContentPage
    {
        LineSeries series;
        public ChartSample()
        {

            SfChart chart = new SfChart();

            ObservableCollection<ChartDataPoint> datas = new ObservableCollection<ChartDataPoint>();
            datas.Add(new ChartDataPoint("Jan", 20));
            datas.Add(new ChartDataPoint("Feb", 25));
            datas.Add(new ChartDataPoint("Mar", 30));
            datas.Add(new ChartDataPoint("Apr", 15));
            datas.Add(new ChartDataPoint("May", 20));

            CategoryAxis xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            series = new LineSeries();
            series.ItemsSource = datas;
            chart.Series.Add(series);

            Content = chart;
        }
    }
}
